Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.commandline
Class CheckMotifLocationAgainstPrints

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.commandline.CheckMotifLocationAgainstPrints

public class CheckMotifLocationAgainstPrints
extends Object

CheckMotifLocationAgainstPrints.java This class moves through all the SequenceAlignments in the current directory. It then extracts the motif information from PRINTS-S, and sees whether they are still in the same position. Created: Tue Feb 6 15:21:55 2001

Version:
  $Id: CheckMotifLocationAgainstPrints.java,v 1.1 2001/02/19 17:23:49 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CheckMotifLocationAgainstPrints()`

Method Summary
`static void` | `check(File file)`
`static void` | `checkSequence(String alignmentTitle, String fprint_accn, GappedSequence seq)`
`static void` | `main(String[] args)`
`static SequenceAlignment` | `openFile(File inputFile)`
`static void` | `printReport()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckMotifLocationAgainstPrints

    public CheckMotifLocationAgainstPrints()

Method Detail

### main

    public static void main(String[] args)
                     throws Throwable

    `Throwable`

### printReport

    public static void printReport()

### check

    public static void check(File file)
                      throws Throwable

    `Throwable`

### checkSequence

    public static void checkSequence(String alignmentTitle,
                                     String fprint_accn,
                                     GappedSequence seq)
                              throws Throwable

    `Throwable`

### openFile

    public static SequenceAlignment openFile(File inputFile)
                                      throws Throwable

    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD